import { Description } from "./Description";
import { ToolActionDescription } from "./ToolActionDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class ToolPanelDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    get type(): string;
    constructor();
    private h;
    get actions(): ToolActionDescription[];
    set actions(a: ToolActionDescription[]);
    private j;
    get showOnHover(): boolean;
    set showOnHover(a: boolean);
    private k;
    get showTooltipOnHover(): boolean;
    set showTooltipOnHover(a: boolean);
    private bk;
    get dropdownClickBuffer(): number;
    set dropdownClickBuffer(a: number);
    private l;
    get stopPropagation(): boolean;
    set stopPropagation(a: boolean);
    private cf;
    get cellFontFamily(): string;
    set cellFontFamily(a: string);
    private ab;
    get cellFontSize(): number;
    set cellFontSize(a: number);
    private cg;
    get cellFontStyle(): string;
    set cellFontStyle(a: string);
    private ch;
    get cellFontWeight(): string;
    set cellFontWeight(a: string);
    private c5;
    get subtitleFontFamily(): string;
    set subtitleFontFamily(a: string);
    private ao;
    get subtitleFontSize(): number;
    set subtitleFontSize(a: number);
    private c6;
    get subtitleFontStyle(): string;
    set subtitleFontStyle(a: string);
    private c7;
    get subtitleFontWeight(): string;
    set subtitleFontWeight(a: string);
    private co;
    get groupHeaderFontFamily(): string;
    set groupHeaderFontFamily(a: string);
    private ac;
    get groupHeaderFontSize(): number;
    set groupHeaderFontSize(a: number);
    private cp;
    get groupHeaderFontStyle(): string;
    set groupHeaderFontStyle(a: string);
    private cq;
    get groupHeaderFontWeight(): string;
    set groupHeaderFontWeight(a: string);
    private ce;
    get baseTheme(): string;
    set baseTheme(a: string);
    private cl;
    get density(): string;
    set density(a: string);
    private bu;
    get actualDensity(): string;
    set actualDensity(a: string);
    private cd;
    get backgroundColor(): string;
    set backgroundColor(a: string);
    private br;
    get actualBackgroundColor(): string;
    set actualBackgroundColor(a: string);
    private c4;
    get submenuBackgroundColor(): string;
    set submenuBackgroundColor(a: string);
    private b6;
    get actualSubmenuBackgroundColor(): string;
    set actualSubmenuBackgroundColor(a: string);
    private cn;
    get groupHeaderBackgroundColor(): string;
    set groupHeaderBackgroundColor(a: string);
    private bw;
    get actualGroupHeaderBackgroundColor(): string;
    set actualGroupHeaderBackgroundColor(a: string);
    private c3;
    get separatorBackgroundColor(): string;
    set separatorBackgroundColor(a: string);
    private b5;
    get actualSeparatorBackgroundColor(): string;
    set actualSeparatorBackgroundColor(a: string);
    private cr;
    get groupHeaderSeparatorBackgroundColor(): string;
    set groupHeaderSeparatorBackgroundColor(a: string);
    private bx;
    get actualGroupHeaderSeparatorBackgroundColor(): string;
    set actualGroupHeaderSeparatorBackgroundColor(a: string);
    private cv;
    get hoverBackgroundColor(): string;
    set hoverBackgroundColor(a: string);
    private b1;
    get actualHoverBackgroundColor(): string;
    set actualHoverBackgroundColor(a: string);
    private c9;
    get textColor(): string;
    set textColor(a: string);
    private b8;
    get actualTextColor(): string;
    set actualTextColor(a: string);
    private b7;
    get actualSubtitleTextColor(): string;
    set actualSubtitleTextColor(a: string);
    private c8;
    get subtitleTextColor(): string;
    set subtitleTextColor(a: string);
    private cm;
    get disabledTextColor(): string;
    set disabledTextColor(a: string);
    private bv;
    get actualDisabledTextColor(): string;
    set actualDisabledTextColor(a: string);
    private ct;
    get groupHeaderTextColor(): string;
    set groupHeaderTextColor(a: string);
    private bz;
    get actualGroupHeaderTextColor(): string;
    set actualGroupHeaderTextColor(a: string);
    private cs;
    get groupHeaderSubtitleTextColor(): string;
    set groupHeaderSubtitleTextColor(a: string);
    private by;
    get actualGroupHeaderSubtitleTextColor(): string;
    set actualGroupHeaderSubtitleTextColor(a: string);
    private db;
    get toolTipTextColor(): string;
    set toolTipTextColor(a: string);
    private ca;
    get actualToolTipTextColor(): string;
    set actualToolTipTextColor(a: string);
    private da;
    get toolTipBackgroundColor(): string;
    set toolTipBackgroundColor(a: string);
    private b9;
    get actualToolTipBackgroundColor(): string;
    set actualToolTipBackgroundColor(a: string);
    private ap;
    get toolTipCornerRadius(): number;
    set toolTipCornerRadius(a: number);
    private z;
    get actualToolTipCornerRadius(): number;
    set actualToolTipCornerRadius(a: number);
    private aq;
    get toolTipElevation(): number;
    set toolTipElevation(a: number);
    private aa;
    get actualToolTipElevation(): number;
    set actualToolTipElevation(a: number);
    private cw;
    get iconFill(): string;
    set iconFill(a: string);
    private b2;
    get actualIconFill(): string;
    set actualIconFill(a: string);
    private cx;
    get iconStroke(): string;
    set iconStroke(a: string);
    private b3;
    get actualIconStroke(): string;
    set actualIconStroke(a: string);
    private al;
    get separatorVerticalPaddingLeft(): number;
    set separatorVerticalPaddingLeft(a: number);
    private w;
    get actualSeparatorVerticalPaddingLeft(): number;
    set actualSeparatorVerticalPaddingLeft(a: number);
    private am;
    get separatorVerticalPaddingRight(): number;
    set separatorVerticalPaddingRight(a: number);
    private x;
    get actualSeparatorVerticalPaddingRight(): number;
    set actualSeparatorVerticalPaddingRight(a: number);
    private an;
    get separatorVerticalPaddingTop(): number;
    set separatorVerticalPaddingTop(a: number);
    private y;
    get actualSeparatorVerticalPaddingTop(): number;
    set actualSeparatorVerticalPaddingTop(a: number);
    private ak;
    get separatorVerticalPaddingBottom(): number;
    set separatorVerticalPaddingBottom(a: number);
    private v;
    get actualSeparatorVerticalPaddingBottom(): number;
    set actualSeparatorVerticalPaddingBottom(a: number);
    private ah;
    get separatorHorizontalPaddingLeft(): number;
    set separatorHorizontalPaddingLeft(a: number);
    private s;
    get actualSeparatorHorizontalPaddingLeft(): number;
    set actualSeparatorHorizontalPaddingLeft(a: number);
    private ai;
    get separatorHorizontalPaddingRight(): number;
    set separatorHorizontalPaddingRight(a: number);
    private t;
    get actualSeparatorHorizontalPaddingRight(): number;
    set actualSeparatorHorizontalPaddingRight(a: number);
    private aj;
    get separatorHorizontalPaddingTop(): number;
    set separatorHorizontalPaddingTop(a: number);
    private u;
    get actualSeparatorHorizontalPaddingTop(): number;
    set actualSeparatorHorizontalPaddingTop(a: number);
    private ag;
    get separatorHorizontalPaddingBottom(): number;
    set separatorHorizontalPaddingBottom(a: number);
    private r;
    get actualSeparatorHorizontalPaddingBottom(): number;
    set actualSeparatorHorizontalPaddingBottom(a: number);
    private c1;
    get orientation(): string;
    set orientation(a: string);
    private bm;
    get rowHeight(): number;
    set rowHeight(a: number);
    private ae;
    get highlightWidth(): number;
    set highlightWidth(a: number);
    private q;
    get actualHighlightWidth(): number;
    set actualHighlightWidth(a: number);
    private ad;
    get highlightRadius(): number;
    set highlightRadius(a: number);
    private p;
    get actualHighlightRadius(): number;
    set actualHighlightRadius(a: number);
    private cu;
    get highlightColor(): string;
    set highlightColor(a: string);
    private b0;
    get actualHighlightColor(): string;
    set actualHighlightColor(a: string);
    private cy;
    get menuArrowStroke(): string;
    set menuArrowStroke(a: string);
    private b4;
    get actualMenuArrowStroke(): string;
    set actualMenuArrowStroke(a: string);
    private dc;
    get uncheckedBackgroundColor(): string;
    set uncheckedBackgroundColor(a: string);
    private cb;
    get actualUncheckedBackgroundColor(): string;
    set actualUncheckedBackgroundColor(a: string);
    private ci;
    get checkedBackgroundColor(): string;
    set checkedBackgroundColor(a: string);
    private bs;
    get actualCheckedBackgroundColor(): string;
    set actualCheckedBackgroundColor(a: string);
    private dd;
    get uncheckedBorderColor(): string;
    set uncheckedBorderColor(a: string);
    private cc;
    get actualUncheckedBorderColor(): string;
    set actualUncheckedBorderColor(a: string);
    private cj;
    get checkedBorderColor(): string;
    set checkedBorderColor(a: string);
    private bt;
    get actualCheckedBorderColor(): string;
    set actualCheckedBorderColor(a: string);
    private bl;
    get dropdownDelay(): number;
    set dropdownDelay(a: number);
    private bj;
    get actualDropdownDelay(): number;
    set actualDropdownDelay(a: number);
    private c2;
    get scrollbarStyle(): string;
    set scrollbarStyle(a: string);
    private af;
    get itemSpacing(): number;
    set itemSpacing(a: number);
    private cz;
    get nestedActionMode(): string;
    set nestedActionMode(a: string);
    private ck;
    get contentRefreshedRef(): string;
    set contentRefreshedRef(a: string);
    private c0;
    get onCommandRef(): string;
    set onCommandRef(a: string);
}
